# List qualified numbers

Returns a list of qualified numbers for the project.

Endpoint: GET /v1/projects/{projectId}/qualifiedNumbers
Version: 1.0
Security: Basic, OAuth2.0

## Path parameters:

  - `projectId` (string, required)
    Found on your Sinch Customer Dashboard. Settings > Projects.
    Example: "d1923022-5199-4bb3-a513-c47b3a656bc5"

## Query parameters:

  - `states` (string, required)
    The qualified number states
    Enum: "GLOBAL_PROCESS_STATE_ELIGIBLE_CHECK_PENDING", "GLOBAL_PROCESS_STATE_ELIGIBLE", "GLOBAL_PROCESS_STATE_NOT_ELIGIBLE", "GLOBAL_PROCESS_STATE_VERIFICATION_PENDING", "GLOBAL_PROCESS_STATE_VERIFICATION_FAILED", "GLOBAL_PROCESS_STATE_VERIFICATION_BLOCKED", "GLOBAL_PROCESS_STATE_VERIFIED", "GLOBAL_PROCESS_STATE_HOSTING_IN_PROGRESS", "GLOBAL_PROCESS_STATE_HOSTING_DONE", "GLOBAL_PROCESS_STATE_HOSTING_FAILED", "GLOBAL_PROCESS_STATE_UNSPECIFIED"

  - `regionCode` (string)
    Region code to filter by. ISO 3166-1 alpha-2 country code of the phone number. Currently supported are US, CA
    Example: "US"

  - `pageSize` (integer)
    The maximum number of items to return, server can enforce an upper limit and overwrite the value.
    Example: 20

  - `pageToken` (string)
    The next page token value returned from a previous listing.
    Example: "C2VNYXJrEg4KDCsxMjAxMjI2MzUyOQ=="

  - `orderBy` (string)
    Parameter used to order the returned hosting orders
    Enum: "createdTime", "updatedTime"

## Response 200 fields (application/json):

  - `qualifiedNumbers` (array)

  - `qualifiedNumbers.phoneNumber` (string)
    The phone number in e.164 format with leading +.
    Example: "+12025550134"

  - `qualifiedNumbers.projectId` (string)
    The ID of the project to which the number belongs.
    Example: "abcd12ef-ab12-ab12-bc34-abcdef123456"

  - `qualifiedNumbers.regionCode` (string)
    ISO 3166-1 alpha-2 country code of the phone number. Example US or CA.
    Example: "US"

  - `qualifiedNumbers.globalProcessState` (string)
    The global processing state of the qualified number.
    Enum: "GLOBAL_PROCESS_STATE_UNSPECIFIED", "GLOBAL_PROCESS_STATE_ELIGIBLE_CHECK_PENDING", "GLOBAL_PROCESS_STATE_ELIGIBLE", "GLOBAL_PROCESS_STATE_NOT_ELIGIBLE", "GLOBAL_PROCESS_STATE_VERIFICATION_PENDING", "GLOBAL_PROCESS_STATE_VERIFICATION_FAILED", "GLOBAL_PROCESS_STATE_VERIFICATION_BLOCKED", "GLOBAL_PROCESS_STATE_VERIFIED", "GLOBAL_PROCESS_STATE_HOSTING_IN_PROGRESS", "GLOBAL_PROCESS_STATE_HOSTING_DONE", "GLOBAL_PROCESS_STATE_HOSTING_FAILED"

  - `qualifiedNumbers.osrEligibility` (object)
    Details about the OSR eligibility, including the status of the OSR update, and the error if available.

  - `qualifiedNumbers.osrEligibility.status` (string)
    Indicates the current state of the operation.
    Enum: "DONE", "FAILED", "IN_PROGRESS", "WAITING", "STATE_UNSPECIFIED"

  - `qualifiedNumbers.osrEligibility.error` (string)

  - `qualifiedNumbers.ownershipVerification` (object)
    Details about the ownership verification, including the status of the verification process and any error if available.

  - `qualifiedNumbers.ownershipVerification.status` (string)
    Indicates the current state of the operation.
    Enum: same as `qualifiedNumbers.osrEligibility.status` (5 values)

  - `qualifiedNumbers.ownershipVerification.error` (string)

  - `qualifiedNumbers.hostedNumber` (object)
    Details about the hosting status of a number, including any errors if available.

  - `qualifiedNumbers.hostedNumber.status` (integer)
    The status of the hosting details.
    Enum: 0, 1, 2

  - `qualifiedNumbers.hostedNumber.error` (string)
    The description of the hosting status error.

  - `qualifiedNumbers.createdTime` (string)
    The date and time the hosting order was created.

  - `qualifiedNumbers.updatedTime` (string)
    The date and time the hosting order was last updated.

  - `nextPageToken` (string)

  - `totalSize` (integer)

## Response 404 fields (application/json):

  - `code` (string)
    The HTTP response code for the error.
    Example: "404"

  - `message` (string)
    The friendly message describing the reason for the error response.
    Example: "The imported number could not be found."

  - `status` (string)
    The HTTP response status for the error.
    Example: "NOT_FOUND"


